# -*- coding: utf-8 -*-
""" Common settings

"""
import locale
import plugin_dbui as dbui

from callbacks import country_delete, country_insert, country_update 
from datetime import datetime
from gluon.tools import PluginManager

#-------------------------------------------------------------------------------
#
# PLUGIN DBUI
#
#-------------------------------------------------------------------------------
plugins = PluginManager()
#plugins.dbui.app_css = None                    # relative path, i.e static/myapp.css or dir or list
#plugins.dbui.app_js = None                     # relative path static/src/my.js or dir or list
#plugins.dbui.app_libmin = None                 # relative path static/myapp-min.js or dir or list
#plugins.dbui.app_script = None                 # relative path static/myapp.js
plugins.dbui.app_script_dir = 'static/scripts'  # relative directory static/scripts

#plugins.dbui.dbui_libmin='static/plugin_dbui/dbui-debug.js'

#-------------------------------------------------------------------------------
#
# LANGUAGE
#
#-------------------------------------------------------------------------------
T.set_current_languages('en', 'en-gb', 'en-us')     # mother tongue
T.force('fr-fr')                                    # user language
T.lazy = False                                      # immediate translation

locale.setlocale(locale.LC_ALL, "fr_FR.UTF-8")

#-------------------------------------------------------------------------------
#
# CONSTANTS
#
#-------------------------------------------------------------------------------
undef = T(dbui.UNDEF)
undef_id = dbui.UNDEF_ID
year = datetime.now().year

#-------------------------------------------------------------------------------
#
# COMMON CONFIGURATION FOR FORMS AND GRIDS
#
#-------------------------------------------------------------------------------
tables = ['categories',
          'collaborations',
          'countries',
          'harvesters',
          'new_fields',
          'projects',
          'publications',
          'reports',
          'teams']

dbui.configure_forms(tables, plugins=['pFormToolTip'],
                             width=300)

dbui.configure_grids(tables, plugins=['pGridRowEditorConfirmDelete',
                                      'pGridRowEditorContextMenu',
                                      'pGridRowEditorDblClick',
                                      'pGridToolbar'])
