# -*- coding: utf-8 -*-
""" categories table and associated widgets


"""
#-------------------------------------------------------------------------------
#
# DEFINITION
#
#-------------------------------------------------------------------------------
tp_code = "The code has to be in upper case."

db.define_table("categories",
    Field("code", "string", comment=tp_code, notnull=True, unique=True),
    Field("definition", "text", notnull=True),
    migrate="categories.table")

db.categories.code.requires = IS_MATCH('^[A-Z]+$')

#-------------------------------------------------------------------------------
#
# STORE CONFIGURATiON
#
#-------------------------------------------------------------------------------
# example of buffered store
#
# storeModifier = dbui.StoreModifier('categories')
# storeModifier.set_buffered()

#-------------------------------------------------------------------------------
#
# FIELDS CONFIGURATiON
#
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#
# FORM CONFIGURATiON
#
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#
# GRID CONFIGURATiON
#
#-------------------------------------------------------------------------------
gridModifier = dbui.GridModifier('categories')
gridModifier.configure(plugins=['pGridPaging'])

gridModifier.configure_column('code', width=10)
gridModifier.set_rownumbering(True)

gridModifier.append_filter(('code', 'contains', T('bla bla...')))

gridModifier.configure_filters(plugins=['pFormToolTip'], width=300)
gridModifier.configure_gridWithFilter(selectorTitle= 'MyFoo')

#
# Example of buffered rendering
# In that case the full store is loaded but only few row are rendered in the grid
#
# plugin = dict(ptype='bufferedrenderer',
#               leadingBufferZone=0,
#               trailingBufferZone=0)
# gridModifier.append_plugins(plugin)
