# -*- coding: utf-8 -*-
""" harvesters table and associated widgets


"""
#-------------------------------------------------------------------------------
#
# DEFINITION
#
#-------------------------------------------------------------------------------
tp_category = \
"Publication category associated to the record."

tp_collections = \
"List of collections separated by commma: LHCb Papers, LHCb Talks"

tp_controller = \
"The name of the web2py controller running the search: articles, proceedings,..."

tp_host = \
"Address of the invenio store where the search is performed."

tp_max_records = \
"Maximum number of records which can be retrieved from a search."

tp_ratio = \
"Parameter for fuzzy string search."

db.define_table("harvesters",
    Field("id_teams", "reference teams", default=undef_id, label='Team'),
    Field("id_projects", "reference projects", default=undef_id, label='Project'),
    Field("controller", "string", notnull=True, comment=tp_controller),
    Field("host", "string", notnull=True, default='cdsweb.cern.ch', label='Store', comment=tp_host),
    Field("collections", "string", comment=tp_collections),
    Field("ratio", "double", notnull=True, default=1.0, comment=tp_ratio),
    Field("id_categories", "reference categories", default=1, label='Category', comment=tp_category),
    migrate="harvesters.table")

db.harvesters.controller.requires = \
IS_IN_SET(['articles', 'notes', 'preprints', 'proceedings', 'reports', 'talks', 'theses'])

# TEST THE DIFFERENT SYNTAX DEFINING FOREIGN KEY
db.harvesters.id_categories.requires = \
IS_IN_DB(db, 'categories.id', 'categories.code')

db.harvesters.id_projects.requires = \
IS_IN_DB(db, 'projects.project')

#db.harvesters.id_teams.requires = \
#IS_IN_DB(db, 'teams.id', 'teams.team')

db.harvesters.ratio.requires = \
IS_FLOAT_IN_RANGE(0., 1.0)

#-------------------------------------------------------------------------------
#
# STORE CONFIGURATiON
#
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#
# FIELDS CONFIGURATiON
#
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#
# FORM CONFIGURATiON
#
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#
# GRID CONFIGURATiON
#
#-------------------------------------------------------------------------------
