# -*- coding: utf-8 -*-
""" widgets viewport

"""
#
# the CAS node
#
casNode = None

#
# The form node
#
formNode = dbui.Node(T('Forms'))
for tablename in ('categories', 'harvesters', 'publications', 'new_fields'):

    leaf = dbui.Window(closable=True,
                       items=[dbui.to_formPanel(db[tablename])],
                       layout='fit',
                       title="Add %s ..." % tablename,
                       modal=True)

    formNode.add_child(T(tablename), leaf)

#
# the grid node
#
gridNode = dbui.Node(T('Tables'))
configurator = lambda tablename: dbui.to_gridPanel(db[tablename]) 
gridNode.add_children(db.tables, func=configurator) 

#
# The helper node
#
loader = dict(ajaxOptions=dict(disableCaching=False),
              autoLoad=True,
              renderer='html',
              url=URL('plugin_dbui', 'versions'))

versionLeaf = dbui.Panel(loader=loader,
                         plugins=['pPanelLoaderException'])

helpNode = dbui.Node(T('Help'))
helpNode.add_child(T('versions'), versionLeaf)

#
# the report node
#
leaf_1 = dbui.Panel(html="salut ma poule")

leaf_2 = dbui.to_panelWithUrlSelector(virtdb.foo1, 
                                      baseUrl=URL('reports', 'report_2'),
                                      extField='my_format',
                                      isMathJax=True)

leaf_3 = dbui.to_panelWithUrlSelector(virtdb.harvester_selector,
                                      baseUrl=URL('reports', 'report_3'),
                                      selectorRegion='east',
                                      selectorTitle='Select a project')

reportNode = dbui.Node(T('Reports'))
reportNode.add_child(T('report_1'), leaf_1)
reportNode.add_child(T('report_2'), leaf_2)
reportNode.add_child(T('report_3'), leaf_3)

#
# The viewport with its navigation tree
#
viewportModifier = dbui.ViewportModifier()
viewportModifier.configure(plugins=['pViewportLogin'], logged=True);
viewportModifier.add_node(helpNode, casNode, formNode, gridNode, reportNode)

viewportModifier.default_node(T('Tables'), T('categories'))
# viewportModifier.default_node(T('Tables'), T('new_fields'))
# viewportModifier.default_node(T('Tables'), T('publications'))
