/**
 * This is Ext.form.field.ComboBox linked to a database table.
 *
 * The store attribute is equal the table name when the widget
 * is configured. It is replaced by an App.data.DirectStore
 * in the initialization phase of the component.
 *
 */
Ext.define('App.form.field.ComboBox', {

    extend: 'Ext.form.field.ComboBox',
    alias: 'widget.xcombobox',

    // Predefined setting
    // Works in auto completion mode when the user type value.
    // In any case the value should belongs to the list.
    editable: true,
    forceSelection: true,
    queryMode: 'local',
    triggerAction: 'all',

    // private properties for internationalization
    textSelect: 'Select a ',

    // private method require by the ExtJs component model
    initComponent: function () {

        // defined the empty text from the field label
        if (this.fieldLabel && !this.emptyText) {
            this.emptyText = this.textSelect + this.fieldLabel + " ...";
        }

        // link the ComboBox to the data store
        this.store = App.getStore(this.store);

        // initialise the base class
        this.callParent(arguments);

        // load the store if not yet done
        if (this.store.getCount() === 0) {
            this.store.load();
        }
    }
});