/**
 * A dropdown menu providing two actions: Reset and Export to CSV file.
 * It is associated to the App.grid.Panel.
 *
 * This is private class to be used in the App.panel.Grid tool bars.
 *
 */
Ext.define('App.grid.button.ExpertMenu', {

    extend: 'Ext.button.Split',
    alias: 'widget.xgridbuttonexpertmenu',

    /*
     * @cfg {App.panel.Grid} grid (required)
     */

    // Private properties for internationalisation
    textExport: 'Export to CSV file',
    textReset: 'Reset',

    // private method requests by the component model of ExtJS
    initComponent: function () {

        var tableName = App.getTableName(this.grid.getStore());

        // the menu configuration
        this.menu = {
            items: [{
                itemId: 'buttonReset',
                listeners: {click: this.onReset, scope: this},
                text: this.textReset

            }, {
                href: App.csvUrl + '?tableName=' + tableName,
                itemId: 'buttonExport',
                text: this.textExport
            }]
        };

        // initialise the base class
        this.callParent(arguments);
    },

    /**
     * Handler to reset the grid
     *
     */
    onReset: function () {

        "use strict";
        this.grid.reset();
    }
});
