/**
 * The plugin adding *confirmation on delete* to the App.grid.plugin.RowEditor.
 *
 */
Ext.define('App.grid.plugin.RowEditorConfirmDelete',  {

    extend: 'App.grid.plugin.RowEditor',
    alias: 'plugin.pGridRowEditorConfirmDelete',

    // Private property for internationalization
    confirmMsg: 'Do you really want to delete this item?',

    /**
     * Delete the selected row asking confirmation.
     *
     */
    onDeleteRow: function () {

        "use strict";

        var record = this.getSelected();
        if (!record) {return; }

        Ext.Msg.confirm(this.deleteTitle, this.confirmMsg, function(rep) {
            if (rep === 'yes') {
                this.formPanel.setAction('destroy', record);
                this.window.setTitle(this.deleteTitle);
                this.formPanel.doAction();
            }
        }, this);
    }
});