/**
 * The plugin instantiating the double click for the App.grid.plugin.RowEditor.
 * Launch the update action when the user double click on a row.
 *
 * @uses App.grid.plugin.RowEditor
 */
Ext.define('App.grid.plugin.RowEditorDblClick',  {

    extend: 'Ext.AbstractPlugin',
    alias: 'plugin.pGridRowEditorDblClick',

    /**
     * Initialize the plugin.
     *
     * @param {App.grid.Panel} grid
     */
    init: function(grid) {

        "use strict";

        var rowEditor = grid.getPlugin('rowEditor');

        this.setCmp(grid);

        // protection
        if (!rowEditor) {
            throw new Error('no grid row editor !!!');
        }

        grid.on('itemdblclick', rowEditor.onEditRow, rowEditor);
    },

    /**
     * Destroy the plugin.
     */
    destroy: function () {

        "use strict";
        var grid = this.getCmp(),
            rowEditor = grid.getPlugin('rowEditor');

        grid.un('itemdblclick', rowEditor.onEditRow, rowEditor);
    }
});