/**
 * store_2.js
 *
 * To test and debug the read action.
 *
 */

Ext.onReady(function(){

    Ext.QuickTips.init();

	var model = {
		store: {
			debug: true,
			encodeTableField: true,
			dbFields: [
				['systemsAndRpms', 'id'], 
				['systems', 'system'],
				['distributions', 'version'],
				['distributions', 'version', 'count'],
				['distributions', 'note'],
				['rpms', 'rpm'],
				['rpms', 'note'],
				['rpmCategories', 'category']
			],
			where: [
				"[systemsAndRpms, id_system] == [systems, id]",
				"[systemsAndRpms, id_distribution] == [distributions, id]",
				"[systemsAndRpms, id_rpm] == [rpms, id]",
				"[rpms, id_category] == [rpmCategories, id]",
//				"[systemsAndRpms, id] > 3",
			],
//			orderby: [['systems', 'system'], ['rpms', 'rpm'],],
			groupby: [['distributions', 'version'],], 
//			distinct: true,
			fields: [
				'SystemsAndRpmsId', 
				'SystemsSystem',
				'DistributionsVersion',
				'DistributionsVersionCount',
				'DistributionsNote',
				'RpmsRpm',
				'RpmsNote',
				'RpmCategoriesCategory',
			],
		}
	};
	
	console.log('model');
	console.dir(model.store);
	
	var myStore = new App.data.JsonStore({
		url: App.dburl,
		model: model.store,
		autoSave: false,			
	});
	
	myStore.on('load', function(){
		console.log('hello');
//		myStore.filter('DistributionsVersion', '2009.1');
//		myStore.filter('SystemsSystem', 'r2d2');
		
	})
	
	myStore.load();

	var grid = new Ext.grid.GridPanel({
		
		iconCls: 'silk-grid',
		frame: true,
	    autoScroll: true,
		autoHeight: true,
		viewConfig: {forceFit: true},

		columns: [
			{header: 'Id' , dataIndex:'SystemsAndRpmsId', hidden: true}, 
			{header: 'System' , dataIndex:'SystemsSystem'},
			{header: 'Distribution', dataIndex:'DistributionsVersion'},
			{header: 'Count distributions', dataIndex: 'DistributionsVersionCount'},
			{header: 'Note', dataIndex:'DistributionsNote'},
			{header: 'Rpm', dataIndex:'RpmsRpm'},
			{header: 'RpmNote', dataIndex:'RpmsNote'},
			{header: 'Category', dataIndex:'RpmCategoriesCategory'},
		],
		store: myStore,
		renderTo: 'appmain', 
	})
});